<template>
  <div class="full">
    <vue-friendly-iframe
      src="https://absen.indrabayu.my.id/absen"
      @load="onLoad"
    ></vue-friendly-iframe>
    <div class="center" v-show="progress">
      <v-progress-circular
        size="150"
        indeterminate
        color="primary"
      >
      </v-progress-circular>
    </div>
  </div>
</template>

<script>
export default {
  name: "internal-absensi",
  components: {},
  data: () => ({
    progress: true,
  }),
  computed: {},
  mounted() {
    this.$store.dispatch("constant/set_title", "ABSENSI");
  },
  methods: {
    onLoad() {
      console.log("Loaded");
      this.progress = false;
    },
  },
};
</script>

<style scoped>
.center {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 100%;
}
</style>
